
import com.imsl.chart.*;
import java.awt.Color;
import java.awt.Paint;

public class SampleBackgroundPaint extends JFrameChart {

    public SampleBackgroundPaint() {
        Chart chart = getChart();
        chart.getBackground().setFillType(ChartNode.FILL_TYPE_PAINT);
        Paint paint = FillPaint.checkerboard(24, Color.yellow, Color.orange);
        chart.getBackground().setFillPaint(paint);
        AxisXY axis = new AxisXY(chart);
        double y[] = {4, 2, 3, 9};
        new Data(axis, y);
    }

    public static void main(String argv[]) {
        new SampleBackgroundPaint().setVisible(true);
    }
}
